Bug 497203 - anaconda creates Mac partition table on PS3
anaconda creates Mac partition table on PS3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 15:05 EDT by Geoff Levand
Modified: 2009-05-04 15:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 15:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoff Levand 2009-04-22 15:05:11 EDT
Description of problem:

On a PS3 game console install anaconda will create a Mac partition table if there is no existing partition table on the disk.

Current PS3 bootloaders do not have Mac partition table support, so this leads to an un-bootable system.  PS3 bootloaders need a DOS partition table.

Version-Release number of selected component (if applicable):

today's build (22-Apr-2009 12:45)
anaconda-11.5.0.47

How reproducible:

always. 100%

Steps to Reproduce:
1. run dd if=/dev/zero of=/dev/ps3da
2. start fedora install
3. say 'yes' to re-initialize drive prompt
3. check partition table type (fdisk -l)
  
Actual results:

Mac partition table was created

Expected results:

DOS partition table

Additional info:

Anaconda seems to reuse an existing DOS partition table correctly.
Comment 1 Jeremy Katz 2009-04-23 12:30:49 EDT
Fix pushed to git
Comment 2 Geoff Levand 2009-05-04 15:38:48 EDT
I tested today's build (04-May-2009 09:36) and this problem is fixed.

-Geoff
Comment 3 Jeremy Katz 2009-05-04 15:43:15 EDT
Thanks for confirming

Note You need to log in before you can comment on or make changes to this bug.